Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Interface GenericEventGenRuntimeMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface GenericEventGenRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class provides runtime management for a XEG Event Generator

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).
`static String` | `TYPE`

Method Summary
`long` | `getErrorCount()` Get the number of errors that occured in the event generator
`long` | `getErrorResetTime()` Get the reset timestamp of the errors for the event generator
`String` | `getEventGeneratorName()` Get the name of the event generator
`long` | `getLongProperty(String propertyName)` Returns a long value of a named property (i.e.
`long` | `getMessageCount()` Get the number of messages that have been processed by the event generator
`long` | `getResetTime()` Get the reset timestamp of the event generator
`void` | `resetErrorCount()` Reset the error count of the event generator
`void` | `resetLongProperty(String propertyName)` Resets a long long value of a named property to 0 (i.e.
`void` | `resetMessageCount()` Reset the message count of the event generator

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`preDeregister`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

Method Detail

### getEventGeneratorName

    public String getEventGeneratorName()

  Get the name of the event generator

  Returns:
    name of the event generator

### getMessageCount

    public long getMessageCount()

  Get the number of messages that have been processed by the event generator

  Returns:
    the number of files that have been processed by the event generator

### getResetTime

    public long getResetTime()

  Get the reset timestamp of the event generator

  Returns:
    reset timestamp of the event generator

### resetMessageCount

    public void resetMessageCount()

  Reset the message count of the event generator

### getErrorCount

    public long getErrorCount()

  Get the number of errors that occured in the event generator

  Returns:
    the number of errors that occured in the event generator

### getErrorResetTime

    public long getErrorResetTime()

  Get the reset timestamp of the errors for the event generator

  Returns:
    reset timestamp of the errors for the event generator

### resetErrorCount

    public void resetErrorCount()

  Reset the error count of the event generator

### getLongProperty

    public long getLongProperty(String propertyName)

  Returns a long value of a named property (i.e. anything other that message or error count)

### resetLongProperty

    public void resetLongProperty(String propertyName)

  Resets a long long value of a named property to 0 (i.e. anything other that message or error count)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD